(******************************************************************************)
(* computer (stack machine)                                                   *)
(* (C) 2010 Steffen Solyga <solyga@absinth.net>                               *)
(******************************************************************************)
DEFINITION MODULE Comp;

TYPE
  TValue = INTEGER;
  TIndex = CARDINAL;
  TOperation = (
    oNull,
    oWrt, oWrB, oNeg,
    oAdd, oSub, oMul, oDiv,
    oEql, oNeq, oLss, oLeq, oGtr, oGeq,
    oNot, oOr,  oAnd
  );

PROCEDURE Val( v: TValue );
PROCEDURE Sto( i: TIndex );
PROCEDURE Lod( i: TIndex );
PROCEDURE Opr( o: TOperation );

END Comp.
